Skip to main content
POST
cURL

Authorizations

Authorization
string
header
required

Prefix the value with "ApiKey" to indicate the custom authorization type

Body

application/json

Request body for creating a new order. Either personId or officeId must be provided, but not both.

shippingAddress
null

The shipping address for the order. If not provided, it will be auto-resolved from the deliverToOffice address, the person's address (personId), or the office's address (officeId) — in that priority order.

personId
string<uuid> | null

The ID of the person receiving the order. Either this or officeId must be set, but not both.

Example:

"123e4567-e89b-12d3-a456-426614174000"

officeId
string<uuid> | null

The ID of the office receiving the order. Either this or personId must be set, but not both.

Example:

"123e4567-e89b-12d3-a456-426614174001"

deliverToPersonId
string<uuid> | null

The ID of the person to whom the order should be delivered. Used to auto-resolve the shipping address when shippingAddress is not provided.

Example:

"123e4567-e89b-12d3-a456-426614174002"

deliverToOfficeId
string<uuid> | null

The ID of the office to which the order should be delivered. Used to auto-resolve the shipping address when shippingAddress is not provided.

Example:

"123e4567-e89b-12d3-a456-426614174003"

skus
object[]

A list of SKUs (items) to include in the order. At least one of skus or productGroupIds must be non-empty.

productGroupIds
string<uuid>[]

Product-group bundle UUIDs to order. Each expands to SKU lines with the same fulfillability rules as the admin UI (required unfulfillable blocks; optional drops). At least one of skus or productGroupIds must be non-empty. Requires the product-groups-bundles feature flag.

Response

Order created successfully

Response after creating an order

orderId
string<uuid>
required

UUID of the created order

itemIds
string<uuid>[]
required

UUIDs of PHYSICAL order line items created with this order. SERVICE warranty lines are omitted; they appear nested under orderedWarrantyItem on GET.